CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Functions
Touch.h File Reference
`#include <SFML/Window/Export.h>`
`#include <SFML/Window/Types.h>`
`#include <SFML/System/Vector2.h>`

Go to the source code of this file.

## Functions

sfBool | sfTouch_isDown (unsigned int finger)
| Check if a touch event is currently down.
sfVector2i | sfTouch_getPosition (unsigned int finger, const sfWindow *relativeTo)
| Get the current position of a touch in window coordinates.
sfVector2i | sfTouch_getPositionWindowBase (unsigned int finger, const sfWindowBase *relativeTo)
| Get the current position of a touch in window coordinates.

## Function Documentation

## ◆ sfTouch_getPosition()

sfVector2i sfTouch_getPosition | ( | unsigned int | finger,
|  | const sfWindow * | relativeTo
| ) |  |

Get the current position of a touch in window coordinates.

This function returns the current touch position relative to the given window, or desktop if NULL is passed.

Parameters

  finger | Finger index
  relativeTo | Reference window

Returns
  Current position of finger, or undefined if it's not down

## ◆ sfTouch_getPositionWindowBase()

sfVector2i sfTouch_getPositionWindowBase | ( | unsigned int | finger,
|  | const sfWindowBase * | relativeTo
| ) |  |

Get the current position of a touch in window coordinates.

This function returns the current touch position relative to the given window base, or desktop if NULL is passed.

Parameters

  finger | Finger index
  relativeTo | Reference window

Returns
  Current position of finger, or undefined if it's not down

## ◆ sfTouch_isDown()

sfBool sfTouch_isDown | ( | unsigned int | finger | ) |

Check if a touch event is currently down.

Parameters

  finger | Finger index

Returns
  sfTrue if finger is currently touching the screen, sfFalse otherwise